Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridGeometryFilter Class Reference

`#include <vtkRectilinearGridGeometryFilter.h>`

Inheritance diagram for vtkRectilinearGridGeometryFilter:

[legend]
Collaboration diagram for vtkRectilinearGridGeometryFilter:

[legend]
List of all members.

## Detailed Description

extract geometry for a rectilinear grid

Date:
  2002/01/22 15:29:42

Revision:
  1.22

vtkRectilinearGridGeometryFilter is a filter that extracts geometry from a rectilinear grid. By specifying appropriate i-j-k indices, it is possible to extract a point, a curve, a surface, or a "volume". The volume is actually a (n x m x o) region of points.

The extent specification is zero-offset. That is, the first k-plane in a 50x50x50 rectilinear grid is given by (0,49, 0,49, 0,0).

Warning:
  If you don't know the dimensions of the input dataset, you can use a large number to specify extent (the number will be clamped appropriately). For example, if the dataset dimensions are 50x50x50, and you want a the fifth k-plane, you can use the extents (0,100, 0,100, 4,4). The 100 will automatically be clamped to 49.

See also:
  vtkGeometryFilter vtkExtractGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Lorensen, Bill (19%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkRectilinearGridGeometryFilter.cxx)`
  - .`h` (`/Graphics/vtkRectilinearGridGeometryFilter.h)`

Examples:
  vtkRectilinearGridGeometryFilter (Examples)

Tests:
  vtkRectilinearGridGeometryFilter (Tests)

Definition at line 63 of file vtkRectilinearGridGeometryFilter.h.

## Public Types
typedef vtkRectilinearGridToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)
void | SetExtent (int extent[6])
virtual int * | GetExtent ()
virtual void | GetExtent (int data[6])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRectilinearGridGeometryFilter * | SafeDownCast (vtkObject *o)
vtkRectilinearGridGeometryFilter * | New ()
## Protected Methods
| vtkRectilinearGridGeometryFilter ()
| ~vtkRectilinearGridGeometryFilter ()
void | Execute ()
## Protected Attributes
int | Extent [6]

## Member Typedef Documentation

typedef vtkRectilinearGridToPolyDataFilter vtkRectilinearGridGeometryFilter::Superclass

| Reimplemented from vtkRectilinearGridToPolyDataFilter. Definition at line 66 of file vtkRectilinearGridGeometryFilter.h.

## Constructor & Destructor Documentation

vtkRectilinearGridGeometryFilter::vtkRectilinearGridGeometryFilter | ( |  | ) | `[protected]`

vtkRectilinearGridGeometryFilter::~vtkRectilinearGridGeometryFilter | ( |  | ) | `[inline, protected]`

| Definition at line 86 of file vtkRectilinearGridGeometryFilter.h.

## Member Function Documentation

virtual const char* vtkRectilinearGridGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRectilinearGridToPolyDataFilter.

int vtkRectilinearGridGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridToPolyDataFilter.

virtual int vtkRectilinearGridGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridToPolyDataFilter.

vtkRectilinearGridGeometryFilter* vtkRectilinearGridGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRectilinearGridToPolyDataFilter.

void vtkRectilinearGridGeometryFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRectilinearGridToPolyDataFilter.

vtkRectilinearGridGeometryFilter* vtkRectilinearGridGeometryFilter::New | ( |  | ) | `[static]`

| Construct with initial extent (0,100, 0,100, 0,0) (i.e., a k-plane). Reimplemented from vtkObject.

virtual int* vtkRectilinearGridGeometryFilter::GetExtent | ( |  | ) | `[virtual]`

| Get the extent in topological coordinate range (imin,imax, jmin,jmax, kmin,kmax).

virtual void vtkRectilinearGridGeometryFilter::GetExtent | ( | int | data[6] | ) | `[virtual]`

| Get the extent in topological coordinate range (imin,imax, jmin,jmax, kmin,kmax).

void vtkRectilinearGridGeometryFilter::SetExtent | ( | int | iMin,
|  | int | iMax,
|  | int | jMin,
|  | int | jMax,
|  | int | kMin,
|  | int | kMax
| ) |

| Specify (imin,imax, jmin,jmax, kmin,kmax) indices.

void vtkRectilinearGridGeometryFilter::SetExtent | ( | int | extent[6] | ) |

| Specify (imin,imax, jmin,jmax, kmin,kmax) indices in array form.

void vtkRectilinearGridGeometryFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkRectilinearGridGeometryFilter::Extent[6]`[protected]`

| Definition at line 89 of file vtkRectilinearGridGeometryFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkRectilinearGridGeometryFilter.h